This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 467005 - no such option: --service
no such option: --service
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pykickstart (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-14 23:10 EDT by David Cantrell
Modified: 2008-10-16 15:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-16 11:21:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Cantrell 2008-10-14 23:10:22 EDT
Did an interactive install of rawhide, then did a kickstart install using the anaconda-ks.cfg file that was written to /root.

I got this error once anaconda started (get ready for fancy graphics):

+---------------------------------------------------------------------------+
|                     Error Parsing Kickstart Config                        |
+---------------------------------------------------------------------------+
| The following error was found while parsing your kickstart configuration: |
|                                                                           |
| The following problem occurred on line 0 of the kickstart file:           |
|                                                                           |
| no such option: --service                                                 |
|                                                                           |
|                                                                           |
|                                           +----------------+  +-------+   |
|                                           | Exit Installer |  | Debug |   |
|                                           +----------------+  +-------+   |
+---------------------------------------------------------------------------+

Mind you, that's from the PyGTK+ interface, which means that kickstartNetworkUp() is doing stuff again.

The offending line in the kickstart file is:

    firewall --service=ssh
Comment 1 Chris Lumens 2008-10-16 11:21:08 EDT
Well, we still need --port to open arbitrary ports that don't have a "service" (whatever lokkit takes that to mean).  But I've added --service to pykickstart as well.

Nice graphic.
Comment 2 David Cantrell 2008-10-16 15:56:46 EDT
I remember where this came from now.  Thomas Woerner talked to me about it while at FUDCon.  Check out commit 879fd8d494345887c14ae6ec62a5daf5482db2ad

He said that we should be using --service with lokkit now rather than using the --port option.  Changed in anaconda, but I guess it also needs to change in pykickstart.

Note You need to log in before you can comment on or make changes to this bug.